## grendel.ui
Class ProgressFactory

    java.lang.Object
      |
      +--grendel.ui.ProgressFactory

public class ProgressFactory
extends java.lang.Object

Constructor Summary
`ProgressFactory()`

Method Summary
`static java.awt.Frame` | `CopyMessagesProgress(java.util.Vector aMessages, javax.mail.Folder aDest)`
`static java.awt.Frame` | `DeleteMessagesProgress(java.util.Vector aMessages)`
`static java.awt.Frame` | `MoveMessagesProgress(java.util.Vector aMessages, javax.mail.Folder aDest)`
`static java.awt.Frame` | `NewMailProgress()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressFactory

    public ProgressFactory()

Method Detail

### NewMailProgress

    public static java.awt.Frame NewMailProgress()

### CopyMessagesProgress

    public static java.awt.Frame CopyMessagesProgress(java.util.Vector aMessages,
                                                      javax.mail.Folder aDest)

### MoveMessagesProgress

    public static java.awt.Frame MoveMessagesProgress(java.util.Vector aMessages,
                                                      javax.mail.Folder aDest)

### DeleteMessagesProgress

    public static java.awt.Frame DeleteMessagesProgress(java.util.Vector aMessages)